/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fel.mudroch.lab04;

/**
 *
 * @author mudromar
 */
public class Contact implements java.io.Serializable{

    private String name, surname, phone, address;

    public Contact(String name, String surname, String phone, String address) throws Exception  {
        setName(name);
        setSurname(surname);
        setPhone(phone);
        setAddress(address);
    }

    public String getName() {
        return name;
    }

    public void setName(String jmeno) {
        this.name = jmeno;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) throws Exception {        
        if (!surname.matches("[a-zA-Z]+")) {        
            throw new Exception("Chyba v zadani prijmeni.");
        }
        this.surname = surname;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) throws InvalidPhoneNumberException {
        if (phone.length() != 9) {
            throw new InvalidPhoneNumberException(1, "Spatne telefonni cislo");
        }
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public String toString() {
        return "Contact{" + "jmeno=" + name + ", prijmeni=" + surname + ", telefon=" + phone + ", adresa=" + address + '}';
    }

    
}
